%global with_doc %{!?_without_doc:1}%{?_without_doc:0}
%global with_trans %{!?_without_trans:1}%{?_without_trans:0}

Name:             openstack-nova
Version:          2014.1.5
Release:          27%{?dist}
Summary:          OpenStack Compute (nova)

Group:            Applications/System
License:          ASL 2.0
URL:              http://openstack.org/projects/compute/
Source0:          https://launchpad.net/nova/icehouse/%{version}/+download/nova-%{version}.tar.gz

Source1:          nova-dist.conf
Source2:          nova.conf.sample
Source6:          nova.logrotate

Source10:         openstack-nova-api.service
Source11:         openstack-nova-cert.service
Source12:         openstack-nova-compute.service
Source13:         openstack-nova-network.service
Source14:         openstack-nova-objectstore.service
Source15:         openstack-nova-scheduler.service
Source18:         openstack-nova-xvpvncproxy.service
Source19:         openstack-nova-console.service
Source20:         openstack-nova-consoleauth.service
Source25:         openstack-nova-metadata-api.service
Source26:         openstack-nova-conductor.service
Source27:         openstack-nova-cells.service
Source28:         openstack-nova-spicehtml5proxy.service
Source29:         openstack-nova-novncproxy.service
Source31:         openstack-nova-serialproxy.service

Source21:         nova-polkit.pkla
Source23:         nova-polkit.rules
Source22:         nova-ifc-template
Source24:         nova-sudoers
Source30:         openstack-nova-novncproxy.sysconfig

#
# patches_ignore=DROP-IN-RPM
#

#
# patches_base=+9
#
Patch0001: 0001-Ensure-we-don-t-access-the-net-when-building-docs.patch
Patch0002: 0002-remove-runtime-dep-on-python-pbr.patch
Patch0003: 0003-Revert-Replace-oslo.sphinx-with-oslosphinx.patch
Patch0004: 0004-notify-calling-process-we-are-ready-to-serve.patch
Patch0005: 0005-Move-notification-point-to-a-better-place.patch
Patch0006: 0006-Fixes-rbd-backend-image-size.patch
Patch0007: 0007-Improve-shared-storage-checks-for-live-migration.patch
Patch0008: 0008-Fix-live-block-migration-from-previous-backport.patch
Patch0009: 0009-Live-migration-is-broken-for-NFS-shared-storage.patch
Patch0010: 0010-libvirt-support-live-migration-with-shared-instances.patch
Patch0011: 0011-libvirt-add-serial-ports-config.patch
Patch0012: 0012-console-add-serial-console-module.patch
Patch0013: 0013-cmd-add-nova-serialproxy-service.patch
Patch0014: 0014-virt-setup-TCP-chardevice-in-libvirt-driver.patch
Patch0015: 0015-console-add-typed-console-objects.patch
Patch0016: 0016-virt-add-method-get_serial_console-to-driver.patch
Patch0017: 0017-compute-add-get_serial_console-in-manager.py.patch
Patch0018: 0018-compute-add-get_serial_console-rpc-and-cells-api-cal.patch
Patch0019: 0019-api-add-serial-console-API-calls-v2.patch
Patch0020: 0020-console-make-websocketproxy-handles-token-from-path.patch
Patch0021: 0021-cmd-update-the-default-behavior-of-serial-console.patch
Patch0022: 0022-Move-libvirt-RBD-utilities-to-a-new-file.patch
Patch0023: 0023-Use-library-instead-of-CLI-to-cleanup-RBD-volumes.patch
Patch0024: 0024-Enable-cloning-for-rbd-backed-ephemeral-disks.patch
Patch0025: 0025-Add-max_size-to-direct_fetch.patch
Patch0026: 0026-remove-redundant-copy-of-test_cache_base_dir_exists.patch
Patch0027: 0027-Use-Ceph-cluster-stats-to-report-disk-info-on-RBD.patch
Patch0028: 0028-Fix-nova-evacuate-issues-for-RBD.patch
Patch0029: 0029-Change-listen-address-on-libvirt-live-migration.patch
Patch0030: 0030-Fallback-to-legacy-live-migration-if-config-error.patch
Patch0031: 0031-Add-VIR_ERR_CONFIG_UNSUPPORTED-to-fakelibvirt.patch
Patch0032: 0032-libvirt-add-migrateToURI2-method-to-fakelibvirt.patch
Patch0033: 0033-rbd-use-rbd-snapshots-and-cloning-for-ephemeral-disk.patch
Patch0034: 0034-flavor-fix-unicode-error-with-flavor-name.patch
Patch0035: 0035-Add-helpers-to-create-per-aggregate-filters.patch
Patch0036: 0036-libvirt-update-snpashot-version-check-for-RHEL-6.patch
Patch0037: 0037-check-ephemeral-disk-format-at-libvirt-before-use.patch
Patch0038: 0038-Format-eph-disk-with-specified-format-in-libvirt.patch
Patch0039: 0039-Fix-live-migration-api-stuck-when-migrate-to-old-nov.patch
Patch0040: 0040-Failed-to-discovery-when-iscsi-multipath-and-CHAP-bo.patch
Patch0041: 0041-libvirt-support-live-migration-with-vfat-config-driv.patch
Patch0042: 0042-libvirt-clean-instance-s-directory-when-block-migrat.patch
Patch0043: 0043-libvirt-support-live-migration-with-config-drives-on.patch
Patch0044: 0044-Add-instance_group_get_by_instance-to-db.api.patch
Patch0045: 0045-add-InstanceGroup.get_by_instance_uuid.patch
Patch0046: 0046-Check-server-group-policy-on-migrate-evactuate.patch
Patch0047: 0047-Forbid-booting-of-QCOW2-images-with-virtual_size-roo.patch
Patch0048: 0048-Pass-certificate-key-and-cacert-to-glanceclient.patch
Patch0049: 0049-libvirt-set-pae-for-Xen-PVM-and-HVM.patch
Patch0050: 0050-libvirt-add-support-for-hyperv-timer-source-with-win.patch
Patch0051: 0051-libvirt-change-representation-of-guest-features.patch
Patch0052: 0052-libvirt-add-support-for-configuring-hyperv-enlighten.patch
Patch0053: 0053-libvirt-enable-hyperv-enlightenments-for-windows-gue.patch
Patch0054: 0054-console-fix-websocketproxy-error-1006.patch
Patch0055: 0055-libvirt-Fixes-live-migration-for-volume-backed-insta.patch
Patch0056: 0056-support-overriding-the-disk-driver-IO-policy.patch
Patch0057: 0057-GET-details-REST-API-next-link-missing-details.patch
Patch0058: 0058-Reverse-order-of-cinder.detach-and-bdm.delete.patch
Patch0059: 0059-Fix-swap_volumes.patch
Patch0060: 0060-Wrap-IPv6-address-in-square-brackets-for-scp-rsync.patch
Patch0061: 0061-libvirt-Fix-migration-when-image-doesn-t-exist.patch
Patch0062: 0062-libvirt-allow-live-migration-CPU-compatibility-check.patch
Patch0063: 0063-libvirt-Don-t-pass-None-for-image_meta-parameter-in-.patch
Patch0064: 0064-virt-add-helper-module-for-determining-VCPU-topology.patch
Patch0065: 0065-libvirt-Add-configuration-of-guest-VCPU-topology.patch
Patch0066: 0066-Fix-live-migrations-usage-of-the-wrong-connector-inf.patch
Patch0067: 0067-Don-t-check-flavor-disk-size-when-booting-from-volum.patch
Patch0068: 0068-Check-for-resize-path-on-libvirt-instance-delete.patch
Patch0069: 0069-Sync-process-utils-from-oslo-for-execute-callbacks.patch
Patch0070: 0070-libvirt-Kill-rsync-scp-processes-before-deleting-ins.patch
Patch0071: 0071-Delete-orphaned-instance-files-from-compute-nodes.patch
Patch0072: 0072-libvirt-Retry-multipathd-queries-during-FC-volume-co.patch
Patch0073: 0073-libvirt-Detect-and-remove-multipath-devices-on-disco.patch
Patch0074: 0074-Improve-conductor-error-cases-when-unshelving.patch
Patch0075: 0075-Allow-to-unshelve-instance-booted-from-volume.patch
Patch0076: 0076-Save-bdm.connection_info-before-calling-volume_api.a.patch
Patch0077: 0077-Add-performant-versions-of-AggregateCoreFilter-and-A.patch
Patch0078: 0078-Stop-stacktracing-in-_get_filter_uuid.patch
Patch0079: 0079-Don-t-expect-meta-attributes-in-object_compat-that-a.patch
Patch0080: 0080-Multipath-commands-with-error-messages-in-stdout-fai.patch
Patch0081: 0081-Fix-multipath-device-discovery-when-UFN-is-enabled.patch
Patch0082: 0082-network-remove-conntrack-tools-s-dependcy-from-nova.patch
Patch0083: 0083-Return-500-when-unexpected-exception-raising-when-li.patch
Patch0084: 0084-virt-Fix-block_device-tests.patch
Patch0085: 0085-virt-Make-sure-block-device-info-is-persisted.patch
Patch0086: 0086-filter-add-per-aggregate-filter-to-configure-disk_al.patch
Patch0087: 0087-Fix-format-detection-in-libvirt-snapshot.patch
Patch0088: 0088-Fix-format-conversion-in-libvirt-snapshot.patch
Patch0089: 0089-Fix-backing-file-detection-in-libvirt-live-snapshot.patch
Patch0090: 0090-Support-ssh-keygen-of-OpenSSH-6.8.patch
Patch0091: 0091-volume-Fix-the-removal-of-multipath-backed-iSCSI-LUN.patch
Patch0092: 0092-libvirt-handle-code-38-sigkill-ebusy-in-destroy.patch
Patch0093: 0093-This-is-follow-up-Downstream-Only-patch-that-fixes-o.patch
Patch0094: 0094-Make-metadata-cache-time-configurable.patch
Patch0095: 0095-Instance-and-volume-cleanup-when-a-build-fails.patch
Patch0096: 0096-Defer-raising-an-exception-when-deleting-volumes.patch
Patch0097: 0097-Don-t-remove-delete_on_terminate-volumes-on-a-resche.patch
Patch0098: 0098-Downstream-only-fix-for-pep8-tests-in-rhos-5.0-rhel-.patch
Patch0099: 0099-Correct-memory-validation-for-live-migration.patch
Patch0100: 0100-Get-EC2-metadata-localip-return-controller-node-ip.patch
Patch0101: 0101-Don-t-remove-delete_on_terminate-volumes-on-a-resche.patch

BuildArch:        noarch
BuildRequires:    intltool
BuildRequires:    python-sphinx
BuildRequires:    python-oslo-sphinx
BuildRequires:    python-setuptools
BuildRequires:    python-netaddr
BuildRequires:    python-pbr
BuildRequires:    python-d2to1
BuildRequires:    python-six

Requires:         openstack-nova-compute = %{version}-%{release}
Requires:         openstack-nova-cert = %{version}-%{release}
Requires:         openstack-nova-scheduler = %{version}-%{release}
Requires:         openstack-nova-api = %{version}-%{release}
Requires:         openstack-nova-network = %{version}-%{release}
Requires:         openstack-nova-objectstore = %{version}-%{release}
Requires:         openstack-nova-conductor = %{version}-%{release}
Requires:         openstack-nova-console = %{version}-%{release}
Requires:         openstack-nova-cells = %{version}-%{release}
Requires:         openstack-nova-novncproxy = %{version}-%{release}


%description
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

%package common
Summary:          Components common to all OpenStack Nova services
Group:            Applications/System

Requires:         python-nova = %{version}-%{release}
Requires:         python-keystoneclient
Requires:         python-oslo-rootwrap
Requires:         python-oslo-messaging >= 1.3.0-0.1.a4

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(pre):    shadow-utils

%description common
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains scripts, config and dependencies shared
between all the OpenStack nova services.


%package compute
Summary:          OpenStack Nova Virtual Machine control service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         curl
Requires:         iscsi-initiator-utils
Requires:         iptables iptables-ipv6
Requires:         ipmitool
Requires:         python-libguestfs
Requires:         libvirt >= 0.9.6
Requires:         libvirt-python
Requires:         openssh-clients
Requires:         rsync
Requires:         lvm2
Requires:         python-cinderclient
Requires(pre):    qemu-kvm
Requires:         genisoimage
Requires:         bridge-utils
Requires:         sg3_utils
Requires:         sysfsutils

%description compute
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling Virtual Machines.


%package network
Summary:          OpenStack Nova Network control service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         radvd
Requires:         bridge-utils
Requires:         dnsmasq
Requires:         dnsmasq-utils
Requires:         ebtables

%description network
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling networking.


%package scheduler
Summary:          OpenStack Nova VM distribution service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description scheduler
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the service for scheduling where
to run Virtual Machines in the cloud.


%package cert
Summary:          OpenStack Nova certificate management service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description cert
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for managing certificates.


%package api
Summary:          OpenStack Nova API services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description api
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing programmatic access.

%package conductor
Summary:          OpenStack Nova Conductor services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description conductor
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing database access for
the compute service

%package objectstore
Summary:          OpenStack Nova simple object store service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description objectstore
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service providing a simple object store.


%package console
Summary:          OpenStack Nova console access services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-websockify

%description console
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing
console access services to Virtual Machines.

%package cells
Summary:          OpenStack Nova Cells services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description cells
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova Cells service providing additional
scaling and (geographic) distribution for compute services.

%package novncproxy
Summary:          OpenStack Nova noVNC proxy service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         novnc
Requires:         python-websockify


%description novncproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova noVNC Proxy service that can proxy
VNC traffic over browser websockets connections.

%package serialproxy
Summary:          OpenStack Nova serial console access service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-websockify

%description serialproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing the
serial console access service to Virtual Machines.

%package -n       python-nova
Summary:          Nova Python libraries
Group:            Applications/System

Requires:         openssl
# Require openssh for ssh-keygen
Requires:         openssh
Requires:         sudo

Requires:         MySQL-python

Requires:         python-paramiko

Requires:         python-eventlet
Requires:         python-greenlet
Requires:         python-iso8601
Requires:         python-netaddr
Requires:         python-lxml
Requires:         python-anyjson
Requires:         python-boto
Requires:         python-cheetah
Requires:         python-ldap
Requires:         python-stevedore

Requires:         python-memcached

Requires:         python-sqlalchemy
Requires:         python-migrate

Requires:         python-paste-deploy
Requires:         python-routes
Requires:         python-webob

Requires:         python-glanceclient >= 1:0
Requires:         python-neutronclient
Requires:         python-novaclient
Requires:         python-oslo-config >= 1:1.2.0
Requires:         python-pyasn1
Requires:         python-six >= 1.4.1
Requires:         python-babel
Requires:         python-jinja2

%description -n   python-nova
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains the nova Python library.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Compute
Group:            Documentation

BuildRequires:    systemd-units
BuildRequires:    graphviz

# Required to build module documents
BuildRequires:    python-boto
BuildRequires:    python-eventlet
BuildRequires:    python-routes
BuildRequires:    python-sqlalchemy
BuildRequires:    python-webob
# while not strictly required, quiets the build down when building docs.
BuildRequires:    python-migrate, python-iso8601

%description      doc
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains documentation files for nova.
%endif

%prep
%setup -q -n nova-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1
%patch0072 -p1
%patch0073 -p1
%patch0074 -p1
%patch0075 -p1
%patch0076 -p1
%patch0077 -p1
%patch0078 -p1
%patch0079 -p1
%patch0080 -p1
%patch0081 -p1
%patch0082 -p1
%patch0083 -p1
%patch0084 -p1
%patch0085 -p1
%patch0086 -p1
%patch0087 -p1
%patch0088 -p1
%patch0089 -p1
%patch0090 -p1
%patch0091 -p1
%patch0092 -p1
%patch0093 -p1
%patch0094 -p1
%patch0095 -p1
%patch0096 -p1
%patch0097 -p1
%patch0098 -p1
%patch0099 -p1
%patch0100 -p1
%patch0101 -p1

find . \( -name .gitignore -o -name .placeholder \) -delete

find nova -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

sed -i '/setuptools_git/d' setup.py
sed -i s/REDHATNOVAVERSION/%{version}/ nova/version.py
sed -i s/REDHATNOVARELEASE/%{release}/ nova/version.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requiers_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python} setup.py build

install -p -D -m 640 %{SOURCE2} etc/nova/nova.conf.sample

# Avoid http://bugzilla.redhat.com/1059815. Remove when that is closed
sed -i 's|group/name|group;name|; s|\[DEFAULT\]/|DEFAULT;|' etc/nova/nova.conf.sample

# Programmatically update defaults in sample config
# which is installed at /etc/nova/nova.conf

#  First we ensure all values are commented in appropriate format.
#  Since icehouse, there was an uncommented keystone_authtoken section
#  at the end of the file which mimics but also conflicted with our
#  distro editing that had been done for many releases.
sed -i '/^[^#[]/{s/^/#/; s/ //g}; /^#[^ ]/s/ = /=/' etc/nova/nova.conf.sample

#  TODO: Make this more robust
#  Note it only edits the first occurance, so assumes a section ordering in sample
#  and also doesn't support multi-valued variables like dhcpbridge_flagfile.
while read name eq value; do
  test "$name" && test "$value" || continue
  sed -i "0,/^# *$name=/{s!^# *$name=.*!#$name=$value!}" etc/nova/nova.conf.sample
done < %{SOURCE1}

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# docs generation requires everything to be installed first
export PYTHONPATH="$( pwd ):$PYTHONPATH"

pushd doc

%if 0%{?with_doc}
SPHINX_DEBUG=1 sphinx-build -b html source build/html
# Fix hidden-file-or-dir warnings
rm -fr build/html/.doctrees build/html/.buildinfo
%endif

# Create dir link to avoid a sphinx-build exception
mkdir -p build/man/.doctrees/
ln -s .  build/man/.doctrees/man
SPHINX_DEBUG=1 sphinx-build -b man -c source source/man build/man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 build/man/*.1 %{buildroot}%{_mandir}/man1/

popd

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/buckets
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/instances
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/keys
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/networks
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/tmp
install -d -m 755 %{buildroot}%{_localstatedir}/log/nova

# Setup ghost CA cert
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/CA
install -p -m 755 nova/CA/*.sh %{buildroot}%{_sharedstatedir}/nova/CA
install -p -m 644 nova/CA/openssl.cnf.tmpl %{buildroot}%{_sharedstatedir}/nova/CA
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/CA/{certs,crl,newcerts,projects,reqs}
touch %{buildroot}%{_sharedstatedir}/nova/CA/{cacert.pem,crl.pem,index.txt,openssl.cnf,serial}
install -d -m 750 %{buildroot}%{_sharedstatedir}/nova/CA/private
touch %{buildroot}%{_sharedstatedir}/nova/CA/private/cakey.pem

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/nova
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datadir}/nova/nova-dist.conf
install -p -D -m 640 etc/nova/nova.conf.sample  %{buildroot}%{_sysconfdir}/nova/nova.conf
install -p -D -m 640 etc/nova/rootwrap.conf %{buildroot}%{_sysconfdir}/nova/rootwrap.conf
install -p -D -m 640 etc/nova/api-paste.ini %{buildroot}%{_sysconfdir}/nova/api-paste.ini
install -p -D -m 640 etc/nova/policy.json %{buildroot}%{_sysconfdir}/nova/policy.json

# Install version info file
cat > %{buildroot}%{_sysconfdir}/nova/release <<EOF
[Nova]
vendor = Red Hat
product = OpenStack Compute
package = %{release}
EOF

# Install initscripts for Nova services
install -p -D -m 755 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-nova-api.service
install -p -D -m 755 %{SOURCE11} %{buildroot}%{_unitdir}/openstack-nova-cert.service
install -p -D -m 755 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-nova-compute.service
install -p -D -m 755 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-nova-network.service
install -p -D -m 755 %{SOURCE14} %{buildroot}%{_unitdir}/openstack-nova-objectstore.service
install -p -D -m 755 %{SOURCE15} %{buildroot}%{_unitdir}/openstack-nova-scheduler.service
install -p -D -m 755 %{SOURCE18} %{buildroot}%{_unitdir}/openstack-nova-xvpvncproxy.service
install -p -D -m 755 %{SOURCE19} %{buildroot}%{_unitdir}/openstack-nova-console.service
install -p -D -m 755 %{SOURCE20} %{buildroot}%{_unitdir}/openstack-nova-consoleauth.service
install -p -D -m 755 %{SOURCE25} %{buildroot}%{_unitdir}/openstack-nova-metadata-api.service
install -p -D -m 755 %{SOURCE26} %{buildroot}%{_unitdir}/openstack-nova-conductor.service
install -p -D -m 755 %{SOURCE27} %{buildroot}%{_unitdir}/openstack-nova-cells.service
install -p -D -m 755 %{SOURCE28} %{buildroot}%{_unitdir}/openstack-nova-spicehtml5proxy.service
install -p -D -m 755 %{SOURCE29} %{buildroot}%{_unitdir}/openstack-nova-novncproxy.service
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_unitdir}/openstack-nova-serialproxy.service

# Install sudoers
install -p -D -m 440 %{SOURCE24} %{buildroot}%{_sysconfdir}/sudoers.d/nova

# Install logrotate
install -p -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-nova

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/nova

# Install template files
install -p -D -m 644 nova/cloudpipe/client.ovpn.template %{buildroot}%{_datarootdir}/nova/client.ovpn.template
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_datarootdir}/nova/interfaces.template

# Install rootwrap files in /usr/share/nova/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/nova/rootwrap/
install -p -D -m 644 etc/nova/rootwrap.d/* %{buildroot}%{_datarootdir}/nova/rootwrap/

# Older format. Remove when we no longer want to support Fedora 17 with master branch packages
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d
install -p -D -m 644 %{SOURCE21} %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
# Newer format since Fedora 18
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/rules.d
install -p -D -m 644 %{SOURCE23} %{buildroot}%{_sysconfdir}/polkit-1/rules.d/50-nova.rules

# Install novncproxy service options template
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/sysconfig/openstack-nova-novncproxy

# Remove unneeded in production stuff
rm -f %{buildroot}%{_bindir}/nova-debug
rm -fr %{buildroot}%{python_sitelib}/nova/tests/
rm -fr %{buildroot}%{python_sitelib}/run_tests.*
rm -f %{buildroot}%{_bindir}/nova-combined
rm -f %{buildroot}/usr/share/doc/nova/README*

%pre common
getent group nova >/dev/null || groupadd -r nova --gid 162
if ! getent passwd nova >/dev/null; then
  useradd -u 162 -r -g nova -G nova,nobody -d %{_sharedstatedir}/nova -s /sbin/nologin -c "OpenStack Nova Daemons" nova
fi
exit 0

%pre compute
usermod -a -G qemu nova
exit 0

%post compute
%systemd_post openstack-nova-compute.service
%post network
%systemd_post openstack-nova-network.service
%post scheduler
%systemd_post openstack-nova-scheduler.service
%post cert
%systemd_post openstack-nova-cert.service
%post api
%systemd_post openstack-nova-api.service openstack-nova-metadata-api.service
%post conductor
%systemd_post openstack-nova-conductor.service
%post objectstore
%systemd_post openstack-nova-objectstore.service
%post console
%systemd_post openstack-nova-console.service openstack-nova-consoleauth.service openstack-nova-xvpvncproxy.service openstack-nova-spicehtml5proxy.service
%post cells
%systemd_post openstack-nova-cells.service
%post novncproxy
%systemd_post openstack-nova-novncproxy.service
%post serialproxy
%systemd_post openstack-nova-serialproxy.service

%preun compute
%systemd_preun openstack-nova-compute.service
%preun network
%systemd_preun openstack-nova-network.service
%preun scheduler
%systemd_preun openstack-nova-scheduler.service
%preun cert
%systemd_preun openstack-nova-cert.service
%preun api
%systemd_preun openstack-nova-api.service openstack-nova-metadata-api.service
%preun objectstore
%systemd_preun openstack-nova-objectstore.service
%preun conductor
%systemd_preun openstack-nova-conductor.service
%preun console
%systemd_preun openstack-nova-console.service openstack-nova-consoleauth.service openstack-nova-xvpvncproxy.service openstack-nova-spicehtml5proxy.service
%preun cells
%systemd_preun openstack-nova-cells.service
%preun novncproxy
%systemd_preun openstack-nova-novncproxy.service
%preun serialproxy
%systemd_preun openstack-nova-serialproxy.service

%postun compute
%systemd_postun_with_restart openstack-nova-compute.service
%postun network
%systemd_postun_with_restart openstack-nova-network.service
%postun scheduler
%systemd_postun_with_restart openstack-nova-scheduler.service
%postun cert
%systemd_postun_with_restart openstack-nova-cert.service
%postun api
%systemd_postun_with_restart openstack-nova-api.service openstack-nova-metadata-api.service
%postun objectstore
%systemd_postun_with_restart openstack-nova-objectstore.service
%postun conductor
%systemd_postun_with_restart openstack-nova-conductor.service
%postun console
%systemd_postun_with_restart openstack-nova-console.service openstack-nova-consoleauth.service openstack-nova-xvpvncproxy.service openstack-nova-spicehtml5proxy.service
%postun cells
%systemd_postun_with_restart openstack-nova-cells.service
%postun novncproxy
%systemd_postun_with_restart openstack-nova-novncproxy.service
%postun serialproxy
%systemd_postun_with_restart openstack-nova-serialproxy.service

%files
%doc LICENSE
%{_bindir}/nova-all

%files common
%doc LICENSE
%dir %{_sysconfdir}/nova
%{_sysconfdir}/nova/release
%attr(-, root, nova) %{_datadir}/nova/nova-dist.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/nova.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/api-paste.ini
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/rootwrap.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-nova
%config(noreplace) %{_sysconfdir}/sudoers.d/nova
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
%config(noreplace) %{_sysconfdir}/polkit-1/rules.d/50-nova.rules

%dir %attr(0755, nova, root) %{_localstatedir}/log/nova
%dir %attr(0755, nova, root) %{_localstatedir}/run/nova

%{_bindir}/nova-clear-rabbit-queues
%{_bindir}/nova-manage
%{_bindir}/nova-rootwrap

%{_datarootdir}/nova
%{_mandir}/man1/nova*.1.gz

%defattr(-, nova, nova, -)
%dir %{_sharedstatedir}/nova
%dir %{_sharedstatedir}/nova/buckets
%dir %{_sharedstatedir}/nova/instances
%dir %{_sharedstatedir}/nova/keys
%dir %{_sharedstatedir}/nova/networks
%dir %{_sharedstatedir}/nova/tmp

%files compute
%{_bindir}/nova-compute
%{_bindir}/nova-baremetal-deploy-helper
%{_bindir}/nova-baremetal-manage
%{_unitdir}/openstack-nova-compute.service
%{_datarootdir}/nova/rootwrap/compute.filters

%files network
%{_bindir}/nova-network
%{_bindir}/nova-dhcpbridge
%{_unitdir}/openstack-nova-network.service
%{_datarootdir}/nova/rootwrap/network.filters

%files scheduler
%{_bindir}/nova-scheduler
%{_unitdir}/openstack-nova-scheduler.service

%files cert
%{_bindir}/nova-cert
%{_unitdir}/openstack-nova-cert.service
%defattr(-, nova, nova, -)
%dir %{_sharedstatedir}/nova/CA/
%dir %{_sharedstatedir}/nova/CA/certs
%dir %{_sharedstatedir}/nova/CA/crl
%dir %{_sharedstatedir}/nova/CA/newcerts
%dir %{_sharedstatedir}/nova/CA/projects
%dir %{_sharedstatedir}/nova/CA/reqs
%{_sharedstatedir}/nova/CA/*.sh
%{_sharedstatedir}/nova/CA/openssl.cnf.tmpl
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/cacert.pem
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/crl.pem
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/index.txt
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/openssl.cnf
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/serial
%dir %attr(0750, -, -) %{_sharedstatedir}/nova/CA/private
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/private/cakey.pem

%files api
%{_bindir}/nova-api*
%{_unitdir}/openstack-nova-*api.service
%{_datarootdir}/nova/rootwrap/api-metadata.filters

%files conductor
%{_bindir}/nova-conductor
%{_unitdir}/openstack-nova-conductor.service

%files objectstore
%{_bindir}/nova-objectstore
%{_unitdir}/openstack-nova-objectstore.service

%files console
%{_bindir}/nova-console*
%{_bindir}/nova-xvpvncproxy
%{_bindir}/nova-spicehtml5proxy
%{_unitdir}/openstack-nova-console*.service
%{_unitdir}/openstack-nova-xvpvncproxy.service
%{_unitdir}/openstack-nova-spicehtml5proxy.service

%files cells
%{_bindir}/nova-cells
%{_unitdir}/openstack-nova-cells.service

%files novncproxy
%{_bindir}/nova-novncproxy
%{_unitdir}/openstack-nova-novncproxy.service
%config(noreplace) %{_sysconfdir}/sysconfig/openstack-nova-novncproxy

%files serialproxy
%{_bindir}/nova-serialproxy
%{_unitdir}/openstack-nova-serialproxy.service

%files -n python-nova
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/nova
%{python_sitelib}/nova-%{version}*.egg-info

%if 0%{?with_doc}
%files doc
%doc LICENSE doc/build/html
%endif

%changelog
* Thu Feb 18 2016 Vladik Romanovsky <vromanso@redhat.com> 2014.1.5-27
- Don't remove delete_on_terminate volumes on a reschedule via run_instance path - - rhbz#1302444
- Get EC2 metadata localip return controller node ip

* Tue Feb 16 2016 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-26
- Get EC2 metadata localip return controller node ip - rhbz#1308940

* Tue Feb 16 2016 Sylvain Bauza <sbauza@redhat.com> 2014.1.5-25
- Correct memory validation for live migration -rhbz#1308850
- Rework of jenkins-config.yml - DROP-IN-RPM

* Tue Feb 09 2016 Michal Pryc <mpryc@redhat.com> 2014.1.5-24
- Rework of jenkins-config.yml - DROP-IN-RPM
- Downstream only fix for pep8 tests in rhos-5.0-rhel-patches -rhbz#1305972

* Thu Feb 04 2016 Vladik Romanovsky <vromanso@redhat.com> 2014.1.5-23
- Don't remove delete_on_terminate volumes on a reschedule
- Defer raising an exception when deleting volumes
- Instance and volume cleanup when a build fails - rhbz#1302444

* Fri Jan 29 2016 Sven Anderson <sven@redhat.com> 2014.1.5-22
- Make metadata cache time configurable - rhbz#1302401
- This is follow-up Downstream-Only patch that fixes one unit test for RHOS-5 on RHEL 6.7 for the commit 25ac002 - rhbz#1205647

* Mon Jan 25 2016 Kashyap Chamarthy <kchamart@redhat.com> 2014.1.5-20
- libvirt: handle code=38 + sigkill (ebusy) in destroy() - rhbz#1205647

* Wed Jan 20 2016 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-19
- volume: Fix the removal of multipath backed iSCSI LUNs - rhbz#1298291

* Wed Jan 13 2016 Sven Anderson <sven@redhat.com> 2014.1.5-18
- Add 'copytruncate' to logrotate configuration - rhbz#1148031

* Tue Jan 12 2016 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-16
- Support ssh-keygen of OpenSSH 6.8 - rhbz#1296050

* Wed Jan 06 2016 Matthew Booth <mbooth@redhat.com> 2014.1.5-15
- Fix unprivileged API user can exfiltrate compute host data with instance
  snapshot - CVE-2015-7548

* Tue Jan 05 2016 Sven Anderson <sven@redhat.com> 2014.1.5-14
- filter: add per-aggregate filter to configure disk_allocation_ratio

* Mon Dec 21 2015 Michal Pryc <mpryc@redhat.com> 2014.1.5-13
- virt: Make sure block device info is persisted - rhbz#1181220
- virt: Fix block_device tests - rhbz#1181220

* Thu Dec 17 2015 Sahid Ferdjaoui <sferdjao@redhat.com> 2014.1.5-12
- Fix instance stuck at migrateing state - rhbz#1283318

* Tue Dec 15 2015 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-11
- Fix multipath device discovery when UFN is enabled. - rhbz#1286112
- Multipath commands with error messages in stdout fail to parse - rhbz#1281762

* Mon Dec 14 2015 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-10
- Add dependencies for sg3_utils and sysfsutils to nova-compute - rhbz#1288139

* Fri Dec 04 2015 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-9
- Don't expect meta attributes in object_compat that aren't in the db obj (CVE-2015-7713) - rhbz#1272864
- Stop stacktracing in _get_filter_uuid - rhbz#1190837

* Fri Nov 13 2015 Matthew Booth <mbooth@redhat.com> - 2014.1.5-8
- Add AggregateCoreFastFilter and AggregateRamFastFilter - rhbz#1276096

* Tue Nov  3 2015 Matthew Booth <mbooth@redhat.com> - 2014.1.5-7
- Fix unshelving a volume-backed instance - rhbz#1265745

* Wed Oct 21 2015 Lee Yarwood <lyarwood@redhat.com> 2014.1.5-6
- libvirt: Detect and remove multipath devices on disconnect - rhbz#1270125
- libvirt: Retry multipathd queries during FC volume connection - rhbz#1270125

* Thu Oct  8 2015 Matthew Booth <mbooth@redhat.com> 2014.1.5-5
- Delete orphaned instance files on delete during resize - rhbz#1264279
  (CVE-2015-3280)

* Tue Oct 06 2015 Artom Lifshitz <alifshit@redhat.com> 2014.1.5-4
- Fix libvirtd/nova-compute startup race condition
  rhbz#1266927

* Fri Sep 11 2015 Matthew Booth <mbooth@redhat.com> 2014.1.5-2
- Fix resource leak deleting instance during resize (CVE-2015-3241) -
  rhbz#1257789

* Thu Aug 27 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.1.5-1
- Update to upstream 2014.1.5 including
  Fix live migration fails when the instance has a config_drive_format=iso9660
  Fix eventlet green threads not released back to the pool leading to choking of new requests
  Fix mask_password doesn't handle non-ASCII characters
  Fix VMware: stable icehouse unable to spawn VM
  Fix dhcp isolation via iptables does not work
  Fix libvirt Watchdog support is broken when ComputeCapabilitiesFilter is used
  Fix not Authorized response from neutron causes nova to traceback with AttributeError
  Make TrustedFilter checks compute trust level, not hypervisors
  Fix Instance left stuck in transitional POWERING state
  Fix HyperV driver does not implement hypervisor-uptime feature
  Make the checks in strutils.mask_password more secure (CVE-2014-7231)
  Fix live migration: "Disk of instance is too large" when using a volume stored on NFS
  Fix nova when tries to re-define an existing nwfilter with the same name but different uuid
  Fix unit tests sometimes fail because of stale pyc files Undecided
  Fix conflict in nova/nova/scheduler/filters/trusted_filter.py using attestation_port default value
  Fix tenant can't attach to shared external network
  Fix new dependency for oslo.utils in stable/icehouse
  Fix an InvalidUUID exception after vifs plug failed

* Fri Aug 14 2015 Matthew Booth <mbooth@redhat.com> 2014.1.4-17
- Fix boot with volume larger than flavor disk - rhbz#1234661
- Remove workaround patch from 2014.1.4-12

* Tue Aug 11 2015 Sahid Ferdjaoui <sferdjao@redhat.com> 2014.1.4-16
- Fix detach volumes from source after live migration - rhbz#1248202

* Fri Jul 17 2015 Sahid Ferdjaoui <sferdjao@redhat.com> 2014.1.4-15
- Add vCPU topology configuration functionality - rhbz#1219446

* Mon Jul 13 2015 Matthew Booth <mbooth@redhat.com> 2014.1.4-14
- Fix logging error due to missing import - rhbz#1167353

* Fri Jul  3 2015 Matthew Booth <mbooth@redhat.com> 2014.1.4-13
- allow live migration CPU compatibility check to be disabled - rhbz#1167353

* Tue Jun 30 2015 Matthew Booth <mbooth@redhat.com> 2014.1.4-12
- Fix booting from a volume larger than flavor - rhbz#1234661

* Mon Jun 29 2015 Victor Stinner <vstinner@redhat.com> 2014.1.4-11
- Use ebtables to isolate dhcp traffic - rhbz#1228350

* Fri Jun 19 2015 Matthew Booth <mbooth@redhat.com> - 2014.1.4-10
- libvirt: Fix block migration when image doesn't exist - rhbz#1227090

* Thu Jun 4 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.1.4-9
- Fix swap_volumes to not attach/detach volumes - rhbz#1225176

* Wed May 27 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.4-8
- API: Fix issue with server detail pagination - rhbz#1223967
- libvirt: support overriding the disk driver IO policy - rhbz#1222664

* Wed May 20 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.4-7
- Ceph: fix cloning of instance disks (regression of rhbz#1062022) - rhbz#1222152

* Mon Apr 27 2015 Matthew Booth <mbooth@redhat.com> - 2014.1.4-6
- libvirt: fix shared storage checks during live migration - rhbz#1206937
- Fix error when neutron returns Not Authorized - rhbz#1215101
- Fix error launching with trusted filter - rhbz#1214513

* Thu Apr 23 2015 Eoghan Glynn <eglynn@redhat.com> 2014.1.4-5
- console: fix websocketproxy error (1006) - rhbz#1208160

* Fri Apr 17 2015 Eoghan Glynn <eglynn@redhat.com> 2014.1.4-4
- libvirt: enable hyperv enlightenments for windows guests - rhbz#1211802
- libvirt: add support for configuring hyperv enlightenments in XML
- libvirt: change representation of guest features
- libvirt: add support for hyperv timer source with windows guests
- libvirt: set pae for Xen PVM and HVM

* Thu Mar 26 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.1.4-3
- Fix issue with Nova not doing Glance server certificate validation - rhbz#1153794

* Thu Mar 26 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.4-2
- Fix instance root disk size restriction with QCOW2 images - rhbz#1205806

* Wed Mar 25 2015 Sahid Orentino Ferdjaoui <sahid.ferdjaoui@redhat.com> 2014.1.4-1
- Update to upstream 2014.1.4 - rhbz#1199106
Fix security issue with websocket wroxy to verify origin header
Fix issue when green threads do not release back to pool
Set a check for min disk/ram when boot from volume
Fix a deprecated warning with sqlalchemy
Fix an iSCSI sessions issue when connect/disconnect a volume
Fix unsafe SSL connection on TrustedFilter
Fix a security group error when already exists
Fix a Nova evacuate issue with RDB
Fix compute process crash at startup upon VIF exeception
Make the block device mapping retries configurable
Provide a retry on closing of luks encrypted volume in case device is busy
Make process nova-api to handle SIGHUP properly
Enhance error message when an over volume quota is raised

* Wed Mar 25 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-23
- Add server group policy on migrate/evacuate - rhbz#1201851

* Tue Mar 24 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-22
- libvirt: avoid changing UUID when redefining nwfilters - rhbz#1205024

* Mon Mar 02 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-21
- libvirt: support live migration with config drives on RBD - rhbz#1151150

* Thu Feb 26 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-20
- Clean destination host when live migration fails - rhbz#1196350

* Wed Feb 18 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-19
- Support live migration of vfat config drives - rhbz#1151150

* Thu Feb 12 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-17
- Fix issue when attach volumeswith multipathing and CHAPS - rhbz#1191174

* Tue Feb 03 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-16
- Fix injection of network interface template - rhbz#1165961

* Thu Jan 29 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-15
- Fix issue with live migration api - rhbz#1170558
- Fix issue when specify format for the ephemeral disk - rhbz#1151114
- Enable live snapshot support with QEMU - rhbz#1134992

* Tue Jan 20 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.1.3-14
- Fix iSCSI multipath issue - rhbz#1158413

* Thu Jan 15 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.1.3-13
- Add-helpers-to-create-per-aggregate-filters - rhbz#1180621
- Fix unicode error with flavor name = rhbz#1177298

* Tue Jan 06 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-12
- Ceph: use rbd snapshots and cloning for ephemeral disk snapshots - rhbz#1160405

* Tue Jan 06 2015 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-11
- fix host addresses passed through libvirt live migration - rhbz#958057

* Thu Dec 11 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-10
- Ceph: fix evacuate function with RBD storage - rhbz#1148193

* Thu Nov 20 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-9
- Ceph: fix reported disk usage values - rhbz#1111743

* Fri Nov 14 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-8
- Ceph: fix reported disk usage values - rhbz#1111743

* Fri Nov 14 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-7
- Ceph: efficiently instantiate instance disks - rhbz#1062022

* Wed Nov 12 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-6
- Ensure all services are restarted on upgrade - rhbz#1156572

* Fri Oct 24 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-5
- Add virtual serial console access to openstack instances - rhbz#1115100

* Thu Oct 16 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-4
- Ceph: Fix live Migration hangs - rhbz#1150856

* Wed Oct 15 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-3
- VMware: Ensure VNC not connected to another tenant's console - CVE-2014-8750

* Thu Oct 09 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.3-2
- Update to 2014.1.3 (rhbz#1149737) including...
- libvirt: fix kernel LUN removal when booted from volume
- libvirt: Fix attaching volumes to paused instances
- libvirt: avoid failure due to duplicate cpu feature attributes
- libvirt: fix resize of instances across multiple releases
- live-migration: Fix FC multipath case
- Neutron: Update instance info cache atomically
- Neutron: Make floatingip-ip-delete atomic
- Neutron: Fix race with VIF plugging when migrating instances
- Cells: Ensure info cache updates don't overwhelm cells
- Cells: Fix deletion of instances in error state
- Show unassigned networks in flat networking
- Fix attach to encrypted iSCSI volumes with non openstack.org IQNs
- Fix instance boot when Ceph is used for ephemeral storage
- Avoid failures due to sometimes missing glance image attributes
- Reattach swap and ephemeral disks to rebooted instances
- Fix migration of VMs with a floating IP assigned
- Restrict operations on a rescued VM to ensure it can be unrescued
- Fix nova image-show with queued images

* Tue Sep 30 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.2-5
- Deadlock errors in nova-conductor log - rhbz#1141972

* Mon Sep 29 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.2-4
- Deadlock errors in nova-conductor log - rhbz#1141972

* Thu Sep 25 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1.2-3
- Deadlock errors in nova-conductor log - rhbz#1141972

* Thu Sep 18 2014 Nikola Đipanov <ndipanov@redhat.com> - 2014.1.2-2
- Deadlock errors in nova-conductor log - rhbz#1141972

* Fri Aug 08 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.2-1
- Update to upstream 2014.1.2

* Tue Jul 22 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.1-4
- Live migration is broken for NFS shared storage - rhbz#1121182

* Mon Jul 21 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.1-3
- Fix novncproxy service file so it doesn't break

* Thu Jul 17 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.1-2
- Avoid possible timing attack in metadata api - CVE-2014-3517
- Add systemd support to nova - rhbz#1062407

* Wed Jul 09 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.1-1
- Update to upstream 2014.1.1

* Wed Jul 09 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-11
- Set the volume access mode during volume attach - rhbz#1100358
- libvirt: Refresh volume connection_info after volume snapshot - rhbz#1085852
- Save connection info in libvirt after volume connect - rhbz#1115375

* Mon Jul 07 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-10
- Instance groups: add method get_by_hint - rhbz#1116866
- Scheduler: enable scheduler hint to pass the group name - rhbz#1116866

* Thu Jul 03 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-9
- Fix live block migration from previous backport - rhbz#1115592

* Mon Jun 30 2014 Nikola Đipanov <ndipanov@redhat.com> - 2014.1-8
- Make nova-compute depend on sysfsutils - rhbz#1114637

* Fri Jun 20 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-7.1
- Ceph - Support live migration with RBD backed instances - rhbz#1110367

* Wed Jun 18 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-6
- Add instruction in services when backing Nova w/ NFS - rhbz#1109969

* Fri Jun 13 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.1-5
- VMWare - prevent leaking rescue images - rhbz#1108404
- Fix failing delete when unplugging interfaces fails - rhbz#1086930
- Revert "Remove broken quota-classes API" - rhbz#1108885
- Honor flavor size with RBD backed instances - rhbz#1109182

* Tue May 27 2014 Solly Ross <sross@redhat.com> 2014.1-3
- Fix SMBIOS (Nova release file) definition -- rhbz#1100439

* Thu Apr 17 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.16
- Update to upstream 2014.1

* Fri Apr 11 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.15.rc2
- Update to upstream 2014.1.rc2

* Tue Apr 01 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.14.rc1
- Update to upstream 2014.1.rc1
- Introduce new systemd-rpm macros in openstack-nova spec file - rhbz#850252
- Fix double logging when using syslog - rhbz#966050

* Wed Mar 19 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-0.13.b3
- Update python.oslo.messaging requirement to 1.3.0-0.1.a4 - rhbz#1077860

* Fri Mar 07 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-0.12.b3
- Update to Icehouse milestone 3

* Mon Feb 03 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.11.b2
- Avoid commented [DEFAULT] config issue in nova.conf

* Wed Jan 29 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.10.b2
- Remove unneeded requirement on vconfig

* Wed Jan 29 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.9.b2
- Add build requirement on python-six

* Mon Jan 27 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.8.b2
- Fix the patch for CVE-2013-7130 which was not backported properly

* Fri Jan 24 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.7.b2
- Restore pbr patch dropped in the last version by mistake

* Fri Jan 24 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.6.b2
- Update to Icehouse milestone 2
- Require python-keystoneclient for api-paste - rhbz#909113
- Fix root disk leak in live migration - CVE-2013-7130

* Mon Jan 06 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.5.b1
- Avoid [keystone_authtoken] config corruption in nova.conf

* Mon Jan 06 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.4.b1
- Set python-six min version to ensure updated

* Tue Dec 17 2013 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.3.b1
- Rotate log files by size rather than by age - rhbz#867747

* Mon Dec 16 2013 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.2.b1
- Add python-oslo-sphinx to build requirements

* Mon Dec 16 2013 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.1.b1
- Update to Icehouse milestone 1

* Tue Dec 03 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-4
- Fix the CVE number references from the latest change

* Mon Nov 18 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-3
- Remove cert and scheduler hard dependency on cinderclient - rhbz#1031679
- Require ipmitool for baremetal driver - rhbz#1022243
- Ensure we don't boot oversized images (CVE-2013-4463 and CVE-2013-2096)

* Wed Oct 23 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-2
- Depend on python-oslo-config >= 1:1.2.0 so it gets upgraded automatically - rhbz#1014835
- remove signing_dir from nova-dist.conf to use the default - rhbz#957485
- Require bridge-utils on nova-compute package - rhbz#1009065

* Thu Oct 17 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-1
- Update to Havana final

* Tue Oct 15 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.26.rc2
- Update to Havana rc1

* Thu Oct 03 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.23.rc1
- Update to Havana rc1

* Thu Sep 12 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.20.b3
- Depend on genisoimage to support creating guest config drives

* Mon Sep 09 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.19.b3
- Fix compute_node_get_all() for Nova Baremetal

* Mon Sep 09 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.18.b3
- Avoid deprecated options in distribution config files

* Mon Sep 09 2013 Dan Prince <dprince@redhat.com> - 2013.2-0.17.b3
- Add dependency on python-babel
- Add dependency on python-jinja2

* Mon Sep 09 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.16.b3
- Update to Havana milestone 3

* Tue Aug 27 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.15.b2
- Fix the tarball download link (SOURCE0)

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.14.b2
- Set auth_version=v2.0 in nova-dist.conf to avoid http://pad.lv/1154809

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.13.b2
- Remove Folsom release deprecated config options from nova-dist.conf

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.12.b2
- Add the second dhcpbridge-flagfile to nova-dist.conf

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.11.b2
- Change the default config to poll for DB connection indefinitely

* Wed Aug 07 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.10.b2
- Create a nova-dist.conf file with default values under /usr/share

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.2-0.9.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.8.b2
- Update to Havana milestone 2

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.6.b1
- Add the novncproxy subpackage (moved from the novnc package)

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.4.h1
- Remove requirements file to be more flexible with dep versions

* Fri Jun 14 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.3.h1
- Fix an issue with the version string

* Mon Jun 10 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.2.h1
- Add a runtime dep on python-six
- Fix verision reporting

* Fri Jun 07 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.1.h1
- Update to Havana milestone 1
- Add a build-time dep on python-d2to1
- Add a build-time dep on python-pbr

* Fri May 17 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-2
- Check QCOW2 image size during root disk creation (CVE-2013-2096)

* Mon May 13 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1.1-1
- Update to stable/grizzly 2013.1.1 release

* Fri May 10 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1-3
- Make openstack-nova-network depend on ebtables #961567

* Thu Apr 11 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1-2
- Fix nova network dnsmasq invocation failure #951144

* Mon Apr 08 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-1
- Update to Grizzly final

* Tue Apr 02 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.12.rc2
- Update to Grizzly rc2

* Fri Mar 22 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.11.rc1
- Update to Grizzly rc1

* Wed Mar 20 2013 Pádraig Brady - 2013.1-0.10.g3
- Remove /etc/tgt/conf.d/nova.conf which was invalid for grizzly

* Tue Mar 12 2013 Pádraig Brady - 2013.1-0.9.g3
- Allow openstack-nova-doc to be installed in isolation

* Thu Feb 28 2013 Dan Prince <dprince@redhat.com> - 2013.1-0.8.g3
- Use LIBGUESTFS_ATTACH_METHOD=appliance to allow injection to work

* Tue Feb 26 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.7.g3
- Fix dependency issues caused by the Milestone 3 update

* Mon Feb 25 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.6.g3
- Update to Grizzly milestone 3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-0.5.g2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.4.g2
- Update to Grizzly milestone 2
- Add the version info file
- Add python-stevedore dependency
- Add the cells subpackage and service file

* Thu Dec 06 2012 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.3.g1
- signing_dir renamed from incorrect signing_dirname in default nova.conf

* Thu Nov 29 2012 Nikola Đipanov <ndipanov@redhat.com> 2013.1-0.2.g1
-Fix a few spec file issues introduced by the Grizzly update

* Wed Nov 28 2012 Nikola Đipanov <ndipanov@redhat.com> 2013.1-0.1.g1
- Update to Grizzly milestone 1
- Remove volume subpackage - removed from Grizzly
- Add the conductor subpackage - new service added in Grizzly
- Depend on python-libguestfs instead of libguestfs-mount
- Don't add the nova user to the group fuse
- Removes openstack-utils from requirements for nova-common

* Thu Sep 27 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-1
- Update to folsom final

* Wed Sep 26 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-0.11.rc1
- Support newer polkit config format to allow communication with libvirtd
- Fix to ensure that tgt configuration is honored

* Fri Sep 21 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-0.8.rc1
- Update to folsom rc1

* Mon Sep 17 2012 Alan Pevec <apevec@redhat.com> - 2012.2-0.7.f3
- Remove user config from paste ini files

* Mon Aug 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.6.f3
- Update to folsom milestone 3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.2-0.4.f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.3.f1
- Enable libguestfs image inspection

* Wed Jun 06 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.2.f1
- Fix up protocol case handling for security groups (CVE-2012-2654)

* Tue May 29 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.1.f1
- Update to folsom milestone 1

* Wed May 16 2012 Alan Pevec <apevec@redhat.com> - 2012.1-6
- Remove m2crypto and other dependencies no loner needed by Essex

* Wed May 16 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-5
- Sync up with Essex stable branch
- Handle updated qemu-img info output
- Remove redundant and outdated openstack-nova-db-setup

* Wed May 09 2012 Alan Pevec <apevec@redhat.com> - 2012.1-4
- Remove the socat dependency no longer needed by Essex

* Fri Apr 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-3
- Reference new Essex services at installation

* Wed Apr 18 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-2
- Sync up with Essex stable branch
- Support more flexible guest image file injection
- Enforce quota on security group rules (#814275, CVE-2012-2101)
- Provide startup scripts for the Essex VNC services
- Provide a startup script for the separated metadata api service

* Sun Apr  8 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-1
- Update to Essex release

* Thu Mar 29 2012 Russell Bryant <rbryant@redhat.com> 2012.1-0.10.rc1
- Remove the outdated nova-debug tool
- CVE-2012-1585 openstack-nova: Long server names grow nova-api log files significantly

* Mon Mar 26 2012 Mark McLoughlin <markmc@redhat.com> - 2012.1-0.9.rc1
- Avoid killing dnsmasq on network service shutdown (#805947)

* Tue Mar 20 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.8.rc1
- Update to Essex release candidate 1

* Fri Mar 16 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.8.e4
- Include an upstream fix for errors logged when syncing power states
- Support non blocking libvirt operations
- Fix an exception when querying a server through the API (#803905)
- Suppress deprecation warnings with db sync at install (#801302)
- Avoid and cater for missing libvirt instance images (#801791)

* Tue Mar  6 2012 Alan Pevec <apevec@redhat.com> - 2012.1-0.7.e4
- Fixup permissions on nova config files

* Tue Mar  6 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.6.e4
- Depend on bridge-utils
- Support fully transparent handling of the new ini config file

* Fri Mar  2 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.5.e4
- Update to Essex milestone 4.
- explicitly select the libvirt firewall driver in default nova.conf.
- Add dependency on python-iso8601.
- Enable --force_dhcp_release.
- Switch to the new ini format config file.

* Mon Feb 13 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.4.e3
- Support --force_dhcp_release (#788485)

* Thu Feb  2 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.3.e3
- Suppress a warning from `nova-manage image convert`
- Add the openstack-nova-cert service which now handles the CA folder
- Change the default message broker from rabbitmq to qpid
- Enable the new rootwrap helper, to minimize sudo config

* Fri Jan 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.2.e3
- Suppress erroneous output to stdout on package install (#785115)
- Specify a connection_type in nova.conf, needed by essex-3
- Depend on python-carrot, currently needed by essex-3
- Remove the rabbitmq-server dependency as it's now optional
- Have python-nova depend on the messaging libs, not openstack-nova

* Thu Jan 26 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.1.e3
- Update to essex milestone 3

* Mon Jan 23 2012 Pádraig Brady <P@draigBrady.com> - 2011.3.1-2
- Fix a REST API v1.0 bug causing a regression with deltacloud

* Fri Jan 20 2012 Pádraig Brady <P@draigBrady.com> - 2011.3.1-1
- Update to 2011.3.1 release
- Allow empty mysql root password in mysql setup script
- Enable mysqld at boot in mysql setup script

* Wed Jan 18 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.4.10818%{?dist}
- Update to latest 2011.3.1 release candidate
- Re-add nova-{clear-rabbit-queues,instance-usage-audit}

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.3.10814
- nova-stack isn't missing after all

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.2.10814
- nova-{stack,clear-rabbit-queues,instance-usage-audit} temporarily removed because of lp#917676

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.1.10814
- Update to 2011.3.1 release candidate
- Only adds 4 patches from upstream which we didn't already have

* Wed Jan 11 2012 Pádraig Brady <P@draigBrady.com> - 2011.3-19
- Fix libguestfs support for specified partitions
- Fix tenant bypass by authenticated users using API (#772202, CVE-2012-0030)

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-18
- Fix up recent patches which don't apply

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-17
- Backport tgtadm off-by-one fix from upstream (#752709)

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-16
- Rebase to latest upstream stable/diablo, pulling in ~50 patches

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-15
- Move recent patches into git (no functional changes)

* Fri Dec 30 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-14
- Don't require the fuse group (#770927)
- Require the fuse package (to avoid #767852)

* Wed Dec 14 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-13
- Sanitize EC2 manifests and image tarballs (#767236, CVE 2011-4596)
- update libguestfs support

* Tue Dec 06 2011 Russell Bryant <rbryant@redhat.com> - 2011.3-11
- Add --yes, --rootpw, and --novapw options to openstack-nova-db-setup.

* Wed Nov 30 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-10
- Add libguestfs support

* Tue Nov 29 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-9
- Update the libvirt dependency from 0.8.2 to 0.8.7
- Ensure we don't access the net when building docs

* Tue Nov 29 2011 Russell Bryant <rbryant@redhat.com> - 2011.3-8
- Change default database to mysql. (#735012)

* Mon Nov 14 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-7
- Add ~20 significant fixes from upstream stable branch

* Wed Oct 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-6
- Fix password leak in EC2 API (#749385, CVE 2011-4076)

* Mon Oct 24 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-5
- Fix block migration (#741690)

* Mon Oct 17 2011 Bob Kukura <rkukura@redhat.com> - 2011.3-4
- Add dependency on python-amqplib (#746685)

* Wed Sep 28 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-3
- Fix lazy load exception with security groups (#741307)
- Fix issue with nova-network deleting the default route (#741686)
- Fix errors caused by MySQL connection pooling (#741312)

* Mon Sep 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-2
- Manage the package's patches in git; no functional changes.

* Thu Sep 22 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-1
- Update to Diablo final.
- Drop some upstreamed patches.
- Update the metadata-accept patch to what's proposed for essex.
- Switch rpc impl from carrot to kombu.

* Mon Sep 19 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.10.d4
- Use tgtadm instead of ietadm (#737046)

* Wed Sep 14 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.9.d4
- Remove python-libguestfs dependency (#738187)

* Mon Sep  5 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.8.d4
- Add iptables rule to allow EC2 metadata requests (#734347)

* Sat Sep  3 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.7.d4
- Add iptables rules to allow requests to dnsmasq (#734347)

* Wed Aug 31 2011 Angus Salkeld <asalkeld@redhat.com> - 2011.3-0.6.d4
- Add the one man page provided by nova.
- Start services with --flagfile rather than --flag-file (#735070)

* Tue Aug 30 2011 Angus Salkeld <asalkeld@redhat.com> - 2011.3-0.5.d4
- Switch from SysV init scripts to systemd units (#734345)

* Mon Aug 29 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.4.d4
- Don't generate root CA during %%post (#707199)
- The nobody group shouldn't own files in /var/lib/nova
- Add workaround for sphinx-build segfault

* Fri Aug 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.3.d4
- Update to diablo-4 milestone
- Use statically assigned uid:gid 162:162 (#732442)
- Collapse all sub-packages into openstack-nova; w/o upgrade path
- Reduce use of macros
- Rename stack to nova-stack
- Fix openssl.cnf.tmpl script-without-shebang rpmlint warning
- Really remove ajaxterm
- Mark polkit file as %%config

* Mon Aug 22 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.2.1449bzr
- Remove dependency on python-novaclient

* Wed Aug 17 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.1.1449bzr
- Update to latest upstream.
- nova-import-canonical-imagestore has been removed
- nova-clear-rabbit-queues was added

* Tue Aug  9 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.2.1409bzr
- Update to newer upstream
- nova-instancemonitor has been removed
- nova-instance-usage-audit added

* Tue Aug  9 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.1.bzr1130
- More cleanups
- Change release tag to reflect pre-release status

* Wed Jun 29 2011 Matt Domsch <mdomsch@fedoraproject.org> - 2011.3-1087.1
- Initial package from Alexander Sakhnov <asakhnov@mirantis.com>
  with cleanups by Matt Domsch
